Name:		bctoolbox
Version:	0.6.0
Release:	2%{?dist}
URL:		https://github.com/BelledonneCommunications/bctoolbox
Source0:	https://www.linphone.org/releases/sources/bctoolbox/%{name}-%{version}.tar.gz
# bcunit has ncurses support
Patch0:		bctoolbox-bcunit-ncurses.patch
# Fix strncat issue with modern gcc
Patch1:		bctoolbox-gcc-fix.patch
License:	GPLv2+
Summary:	A C library for audio/video streams
# a few C++ bits
BuildRequires:	gcc-c++
BuildRequires:	cmake, libtool
BuildRequires:	bcunit-devel, mbedtls-devel

%description
A audio/video stream utility library used by Belledonne Communications
software like belle-sip, mediastreamer2 and linphone.

%package devel
Summary:	Development libraries for bctoolbox
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development libraries for bctoolbox.

%prep
%setup -q
%patch0 -p1 -b .ncurses
%patch1 -p1 -b .strncat

%build
%cmake . -DENABLE_STATIC=OFF

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_libdir}/*.la

%ldconfig_scriptlets

%files
%license COPYING
%doc README.md
%{_libdir}/libbctoolbox.so.*
%{_libdir}/libbctoolbox-tester.so.*

%files devel
%{_includedir}/bctoolbox/
%{_libdir}/libbctoolbox.so
%{_libdir}/libbctoolbox-tester.so
%{_libdir}/pkgconfig/bctoolbox*.pc
# for cmake files
%{_datadir}/bctoolbox/

%changelog
* Wed Jan  8 2020 Tom Callaway <spot@fedoraproject.org> - 0.6.0-2
- use cmake

* Wed Jan  8 2020 Tom Callaway <spot@fedoraproject.org> - 0.6.0-1
- initial package
